<!doctype html>
<html lang="en">
 <head> 
  <meta charset="UTF-8"> 
  <meta http-equiv="X-UA-Compatible" content="IE=edge"> 
  <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
  <meta name="generator" content="Asciidoctor 2.0.12"> 
  <meta name="author" content="Copyright (c) 2010, 2023 Contributors to the Eclipse Foundation"> 
  <title>Release process | Eclipse ESCET™ development documentation (Incubation)</title> 
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,300italic,400,400italic,600,600italic%7CNoto+Serif:400,400italic,700,700italic%7CDroid+Sans+Mono:400,700"> 
  <style>
/* Asciidoctor default stylesheet | MIT License | https://asciidoctor.org */
/* Uncomment @import statement to use as custom stylesheet */
/*@import "https://fonts.googleapis.com/css?family=Open+Sans:300,300italic,400,400italic,600,600italic%7CNoto+Serif:400,400italic,700,700italic%7CDroid+Sans+Mono:400,700";*/
article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section{display:block}
audio,video{display:inline-block}
audio:not([controls]){display:none;height:0}
html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}
a{background:none}
a:focus{outline:thin dotted}
a:active,a:hover{outline:0}
h1{font-size:2em;margin:.67em 0}
abbr[title]{border-bottom:1px dotted}
b,strong{font-weight:bold}
dfn{font-style:italic}
hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0}
mark{background:#ff0;color:#000}
code,kbd,pre,samp{font-family:monospace;font-size:1em}
pre{white-space:pre-wrap}
q{quotes:"\201C" "\201D" "\2018" "\2019"}
small{font-size:80%}
sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}
sup{top:-.5em}
sub{bottom:-.25em}
img{border:0}
svg:not(:root){overflow:hidden}
figure{margin:0}
fieldset{border:1px solid silver;margin:0 2px;padding:.35em .625em .75em}
legend{border:0;padding:0}
button,input,select,textarea{font-family:inherit;font-size:100%;margin:0}
button,input{line-height:normal}
button,select{text-transform:none}
button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer}
button[disabled],html input[disabled]{cursor:default}
input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0}
button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}
textarea{overflow:auto;vertical-align:top}
table{border-collapse:collapse;border-spacing:0}
*,*::before,*::after{-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box}
html,body{font-size:100%}
body{background:#fff;color:rgba(0,0,0,.8);padding:0;margin:0;font-family:"Noto Serif","DejaVu Serif",serif;font-weight:400;font-style:normal;line-height:1;position:relative;cursor:auto;tab-size:4;word-wrap:anywhere;-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased}
a:hover{cursor:pointer}
img,object,embed{max-width:100%;height:auto}
object,embed{height:100%}
img{-ms-interpolation-mode:bicubic}
.left{float:left!important}
.right{float:right!important}
.text-left{text-align:left!important}
.text-right{text-align:right!important}
.text-center{text-align:center!important}
.text-justify{text-align:justify!important}
.hide{display:none}
img,object,svg{display:inline-block;vertical-align:middle}
textarea{height:auto;min-height:50px}
select{width:100%}
.subheader,.admonitionblock td.content>.title,.audioblock>.title,.exampleblock>.title,.imageblock>.title,.listingblock>.title,.literalblock>.title,.stemblock>.title,.openblock>.title,.paragraph>.title,.quoteblock>.title,table.tableblock>.title,.verseblock>.title,.videoblock>.title,.dlist>.title,.olist>.title,.ulist>.title,.qlist>.title,.hdlist>.title{line-height:1.45;color:#7a2518;font-weight:400;margin-top:0;margin-bottom:.25em}
div,dl,dt,dd,ul,ol,li,h1,h2,h3,#toctitle,.sidebarblock>.content>.title,h4,h5,h6,pre,form,p,blockquote,th,td{margin:0;padding:0}
a{color:#2156a5;text-decoration:underline;line-height:inherit}
a:hover,a:focus{color:#1d4b8f}
a img{border:0}
p{font-family:inherit;font-weight:400;font-size:1em;line-height:1.6;margin-bottom:1.25em;text-rendering:optimizeLegibility}
p aside{font-size:.875em;line-height:1.35;font-style:italic}
h1,h2,h3,#toctitle,.sidebarblock>.content>.title,h4,h5,h6{font-family:"Open Sans","DejaVu Sans",sans-serif;font-weight:300;font-style:normal;color:#ba3925;text-rendering:optimizeLegibility;margin-top:1em;margin-bottom:.5em;line-height:1.0125em}
h1 small,h2 small,h3 small,#toctitle small,.sidebarblock>.content>.title small,h4 small,h5 small,h6 small{font-size:60%;color:#e99b8f;line-height:0}
h1{font-size:2.125em}
h2{font-size:1.6875em}
h3,#toctitle,.sidebarblock>.content>.title{font-size:1.375em}
h4,h5{font-size:1.125em}
h6{font-size:1em}
hr{border:solid #dddddf;border-width:1px 0 0;clear:both;margin:1.25em 0 1.1875em;height:0}
em,i{font-style:italic;line-height:inherit}
strong,b{font-weight:bold;line-height:inherit}
small{font-size:60%;line-height:inherit}
code{font-family:"Droid Sans Mono","DejaVu Sans Mono",monospace;font-weight:400;color:rgba(0,0,0,.9)}
ul,ol,dl{font-size:1em;line-height:1.6;margin-bottom:1.25em;list-style-position:outside;font-family:inherit}
ul,ol{margin-left:1.5em}
ul li ul,ul li ol{margin-left:1.25em;margin-bottom:0;font-size:1em}
ul.square li ul,ul.circle li ul,ul.disc li ul{list-style:inherit}
ul.square{list-style-type:square}
ul.circle{list-style-type:circle}
ul.disc{list-style-type:disc}
ol li ul,ol li ol{margin-left:1.25em;margin-bottom:0}
dl dt{margin-bottom:.3125em;font-weight:bold}
dl dd{margin-bottom:1.25em}
abbr,acronym{text-transform:uppercase;font-size:90%;color:rgba(0,0,0,.8);border-bottom:1px dotted #ddd;cursor:help}
abbr{text-transform:none}
blockquote{margin:0 0 1.25em;padding:.5625em 1.25em 0 1.1875em;border-left:1px solid #ddd}
blockquote cite{display:block;font-size:.9375em;color:rgba(0,0,0,.6)}
blockquote cite::before{content:"\2014 \0020"}
blockquote cite a,blockquote cite a:visited{color:rgba(0,0,0,.6)}
blockquote,blockquote p{line-height:1.6;color:rgba(0,0,0,.85)}
@media screen and (min-width:768px){h1,h2,h3,#toctitle,.sidebarblock>.content>.title,h4,h5,h6{line-height:1.2}
h1{font-size:2.75em}
h2{font-size:2.3125em}
h3,#toctitle,.sidebarblock>.content>.title{font-size:1.6875em}
h4{font-size:1.4375em}}
table{background:#fff;margin-bottom:1.25em;border:solid 1px #dedede;word-wrap:normal}
table thead,table tfoot{background:#f7f8f7}
table thead tr th,table thead tr td,table tfoot tr th,table tfoot tr td{padding:.5em .625em .625em;font-size:inherit;color:rgba(0,0,0,.8);text-align:left}
table tr th,table tr td{padding:.5625em .625em;font-size:inherit;color:rgba(0,0,0,.8)}
table tr.even,table tr.alt{background:#f8f8f7}
table thead tr th,table tfoot tr th,table tbody tr td,table tr td,table tfoot tr td{line-height:1.6}
h1,h2,h3,#toctitle,.sidebarblock>.content>.title,h4,h5,h6{line-height:1.2;word-spacing:-.05em}
h1 strong,h2 strong,h3 strong,#toctitle strong,.sidebarblock>.content>.title strong,h4 strong,h5 strong,h6 strong{font-weight:400}
.center{margin-left:auto;margin-right:auto}
.stretch{width:100%}
.clearfix::before,.clearfix::after,.float-group::before,.float-group::after{content:" ";display:table}
.clearfix::after,.float-group::after{clear:both}
:not(pre).nobreak{word-wrap:normal}
:not(pre).nowrap{white-space:nowrap}
:not(pre).pre-wrap{white-space:pre-wrap}
:not(pre):not([class^=L])>code{font-size:.9375em;font-style:normal!important;letter-spacing:0;padding:.1em .5ex;word-spacing:-.15em;background:#f7f7f8;-webkit-border-radius:4px;border-radius:4px;line-height:1.45;text-rendering:optimizeSpeed}
pre{color:rgba(0,0,0,.9);font-family:"Droid Sans Mono","DejaVu Sans Mono",monospace;line-height:1.45;text-rendering:optimizeSpeed}
pre code,pre pre{color:inherit;font-size:inherit;line-height:inherit}
pre>code{display:block}
pre.nowrap,pre.nowrap pre{white-space:pre;word-wrap:normal}
em em{font-style:normal}
strong strong{font-weight:400}
.keyseq{color:rgba(51,51,51,.8)}
kbd{font-family:"Droid Sans Mono","DejaVu Sans Mono",monospace;display:inline-block;color:rgba(0,0,0,.8);font-size:.65em;line-height:1.45;background:#f7f7f7;border:1px solid #ccc;-webkit-border-radius:3px;border-radius:3px;-webkit-box-shadow:0 1px 0 rgba(0,0,0,.2),0 0 0 .1em white inset;box-shadow:0 1px 0 rgba(0,0,0,.2),0 0 0 .1em #fff inset;margin:0 .15em;padding:.2em .5em;vertical-align:middle;position:relative;top:-.1em;white-space:nowrap}
.keyseq kbd:first-child{margin-left:0}
.keyseq kbd:last-child{margin-right:0}
.menuseq,.menuref{color:#000}
.menuseq b:not(.caret),.menuref{font-weight:inherit}
.menuseq{word-spacing:-.02em}
.menuseq b.caret{font-size:1.25em;line-height:.8}
.menuseq i.caret{font-weight:bold;text-align:center;width:.45em}
b.button::before,b.button::after{position:relative;top:-1px;font-weight:400}
b.button::before{content:"[";padding:0 3px 0 2px}
b.button::after{content:"]";padding:0 2px 0 3px}
p a>code:hover{color:rgba(0,0,0,.9)}
#header,#content,#footnotes,#footer{width:100%;margin-left:auto;margin-right:auto;margin-top:0;margin-bottom:0;max-width:62.5em;*zoom:1;position:relative;padding-left:.9375em;padding-right:.9375em}
#header::before,#header::after,#content::before,#content::after,#footnotes::before,#footnotes::after,#footer::before,#footer::after{content:" ";display:table}
#header::after,#content::after,#footnotes::after,#footer::after{clear:both}
#content{margin-top:1.25em}
#content::before{content:none}
#header>h1:first-child{color:rgba(0,0,0,.85);margin-top:2.25rem;margin-bottom:0}
#header>h1:first-child+#toc{margin-top:8px;border-top:1px solid #dddddf}
#header>h1:only-child,body.toc2 #header>h1:nth-last-child(2){border-bottom:1px solid #dddddf;padding-bottom:8px}
#header .details{border-bottom:1px solid #dddddf;line-height:1.45;padding-top:.25em;padding-bottom:.25em;padding-left:.25em;color:rgba(0,0,0,.6);display:-ms-flexbox;display:-webkit-flex;display:flex;-ms-flex-flow:row wrap;-webkit-flex-flow:row wrap;flex-flow:row wrap}
#header .details span:first-child{margin-left:-.125em}
#header .details span.email a{color:rgba(0,0,0,.85)}
#header .details br{display:none}
#header .details br+span::before{content:"\00a0\2013\00a0"}
#header .details br+span.author::before{content:"\00a0\22c5\00a0";color:rgba(0,0,0,.85)}
#header .details br+span#revremark::before{content:"\00a0|\00a0"}
#header #revnumber{text-transform:capitalize}
#header #revnumber::after{content:"\00a0"}
#content>h1:first-child:not([class]){color:rgba(0,0,0,.85);border-bottom:1px solid #dddddf;padding-bottom:8px;margin-top:0;padding-top:1rem;margin-bottom:1.25rem}
#toc{border-bottom:1px solid #e7e7e9;padding-bottom:.5em}
#toc>ul{margin-left:.125em}
#toc ul.sectlevel0>li>a{font-style:italic}
#toc ul.sectlevel0 ul.sectlevel1{margin:.5em 0}
#toc ul{font-family:"Open Sans","DejaVu Sans",sans-serif;list-style-type:none}
#toc li{line-height:1.3334;margin-top:.3334em}
#toc a{text-decoration:none}
#toc a:active{text-decoration:underline}
#toctitle{color:#7a2518;font-size:1.2em}
@media screen and (min-width:768px){#toctitle{font-size:1.375em}
body.toc2{padding-left:15em;padding-right:0}
#toc.toc2{margin-top:0!important;background:#f8f8f7;position:fixed;width:15em;left:0;top:0;border-right:1px solid #e7e7e9;border-top-width:0!important;border-bottom-width:0!important;z-index:1000;padding:1.25em 1em;height:100%;overflow:auto}
#toc.toc2 #toctitle{margin-top:0;margin-bottom:.8rem;font-size:1.2em}
#toc.toc2>ul{font-size:.9em;margin-bottom:0}
#toc.toc2 ul ul{margin-left:0;padding-left:1em}
#toc.toc2 ul.sectlevel0 ul.sectlevel1{padding-left:0;margin-top:.5em;margin-bottom:.5em}
body.toc2.toc-right{padding-left:0;padding-right:15em}
body.toc2.toc-right #toc.toc2{border-right-width:0;border-left:1px solid #e7e7e9;left:auto;right:0}}
@media screen and (min-width:1280px){body.toc2{padding-left:20em;padding-right:0}
#toc.toc2{width:20em}
#toc.toc2 #toctitle{font-size:1.375em}
#toc.toc2>ul{font-size:.95em}
#toc.toc2 ul ul{padding-left:1.25em}
body.toc2.toc-right{padding-left:0;padding-right:20em}}
#content #toc{border-style:solid;border-width:1px;border-color:#e0e0dc;margin-bottom:1.25em;padding:1.25em;background:#f8f8f7;-webkit-border-radius:4px;border-radius:4px}
#content #toc>:first-child{margin-top:0}
#content #toc>:last-child{margin-bottom:0}
#footer{max-width:none;background:rgba(0,0,0,.8);padding:1.25em}
#footer-text{color:rgba(255,255,255,.8);line-height:1.44}
#content{margin-bottom:.625em}
.sect1{padding-bottom:.625em}
@media screen and (min-width:768px){#content{margin-bottom:1.25em}
.sect1{padding-bottom:1.25em}}
.sect1:last-child{padding-bottom:0}
.sect1+.sect1{border-top:1px solid #e7e7e9}
#content h1>a.anchor,h2>a.anchor,h3>a.anchor,#toctitle>a.anchor,.sidebarblock>.content>.title>a.anchor,h4>a.anchor,h5>a.anchor,h6>a.anchor{position:absolute;z-index:1001;width:1.5ex;margin-left:-1.5ex;display:block;text-decoration:none!important;visibility:hidden;text-align:center;font-weight:400}
#content h1>a.anchor::before,h2>a.anchor::before,h3>a.anchor::before,#toctitle>a.anchor::before,.sidebarblock>.content>.title>a.anchor::before,h4>a.anchor::before,h5>a.anchor::before,h6>a.anchor::before{content:"\00A7";font-size:.85em;display:block;padding-top:.1em}
#content h1:hover>a.anchor,#content h1>a.anchor:hover,h2:hover>a.anchor,h2>a.anchor:hover,h3:hover>a.anchor,#toctitle:hover>a.anchor,.sidebarblock>.content>.title:hover>a.anchor,h3>a.anchor:hover,#toctitle>a.anchor:hover,.sidebarblock>.content>.title>a.anchor:hover,h4:hover>a.anchor,h4>a.anchor:hover,h5:hover>a.anchor,h5>a.anchor:hover,h6:hover>a.anchor,h6>a.anchor:hover{visibility:visible}
#content h1>a.link,h2>a.link,h3>a.link,#toctitle>a.link,.sidebarblock>.content>.title>a.link,h4>a.link,h5>a.link,h6>a.link{color:#ba3925;text-decoration:none}
#content h1>a.link:hover,h2>a.link:hover,h3>a.link:hover,#toctitle>a.link:hover,.sidebarblock>.content>.title>a.link:hover,h4>a.link:hover,h5>a.link:hover,h6>a.link:hover{color:#a53221}
details,.audioblock,.imageblock,.literalblock,.listingblock,.stemblock,.videoblock{margin-bottom:1.25em}
details>summary:first-of-type{cursor:pointer;display:list-item;outline:none;margin-bottom:.75em}
.admonitionblock td.content>.title,.audioblock>.title,.exampleblock>.title,.imageblock>.title,.listingblock>.title,.literalblock>.title,.stemblock>.title,.openblock>.title,.paragraph>.title,.quoteblock>.title,table.tableblock>.title,.verseblock>.title,.videoblock>.title,.dlist>.title,.olist>.title,.ulist>.title,.qlist>.title,.hdlist>.title{text-rendering:optimizeLegibility;text-align:left;font-family:"Noto Serif","DejaVu Serif",serif;font-size:1rem;font-style:italic}
table.tableblock.fit-content>caption.title{white-space:nowrap;width:0}
.paragraph.lead>p,#preamble>.sectionbody>[class="paragraph"]:first-of-type p{font-size:1.21875em;line-height:1.6;color:rgba(0,0,0,.85)}
table.tableblock #preamble>.sectionbody>[class="paragraph"]:first-of-type p{font-size:inherit}
.admonitionblock>table{border-collapse:separate;border:0;background:none;width:100%}
.admonitionblock>table td.icon{text-align:center;width:80px}
.admonitionblock>table td.icon img{max-width:none}
.admonitionblock>table td.icon .title{font-weight:bold;font-family:"Open Sans","DejaVu Sans",sans-serif;text-transform:uppercase}
.admonitionblock>table td.content{padding-left:1.125em;padding-right:1.25em;border-left:1px solid #dddddf;color:rgba(0,0,0,.6);word-wrap:anywhere}
.admonitionblock>table td.content>:last-child>:last-child{margin-bottom:0}
.exampleblock>.content{border-style:solid;border-width:1px;border-color:#e6e6e6;margin-bottom:1.25em;padding:1.25em;background:#fff;-webkit-border-radius:4px;border-radius:4px}
.exampleblock>.content>:first-child{margin-top:0}
.exampleblock>.content>:last-child{margin-bottom:0}
.sidebarblock{border-style:solid;border-width:1px;border-color:#dbdbd6;margin-bottom:1.25em;padding:1.25em;background:#f3f3f2;-webkit-border-radius:4px;border-radius:4px}
.sidebarblock>:first-child{margin-top:0}
.sidebarblock>:last-child{margin-bottom:0}
.sidebarblock>.content>.title{color:#7a2518;margin-top:0;text-align:center}
.exampleblock>.content>:last-child>:last-child,.exampleblock>.content .olist>ol>li:last-child>:last-child,.exampleblock>.content .ulist>ul>li:last-child>:last-child,.exampleblock>.content .qlist>ol>li:last-child>:last-child,.sidebarblock>.content>:last-child>:last-child,.sidebarblock>.content .olist>ol>li:last-child>:last-child,.sidebarblock>.content .ulist>ul>li:last-child>:last-child,.sidebarblock>.content .qlist>ol>li:last-child>:last-child{margin-bottom:0}
.literalblock pre,.listingblock>.content>pre{-webkit-border-radius:4px;border-radius:4px;overflow-x:auto;padding:1em;font-size:.8125em}
@media screen and (min-width:768px){.literalblock pre,.listingblock>.content>pre{font-size:.90625em}}
@media screen and (min-width:1280px){.literalblock pre,.listingblock>.content>pre{font-size:1em}}
.literalblock pre,.listingblock>.content>pre:not(.highlight),.listingblock>.content>pre[class="highlight"],.listingblock>.content>pre[class^="highlight "]{background:#f7f7f8}
.literalblock.output pre{color:#f7f7f8;background:rgba(0,0,0,.9)}
.listingblock>.content{position:relative}
.listingblock code[data-lang]::before{display:none;content:attr(data-lang);position:absolute;font-size:.75em;top:.425rem;right:.5rem;line-height:1;text-transform:uppercase;color:inherit;opacity:.5}
.listingblock:hover code[data-lang]::before{display:block}
.listingblock.terminal pre .command::before{content:attr(data-prompt);padding-right:.5em;color:inherit;opacity:.5}
.listingblock.terminal pre .command:not([data-prompt])::before{content:"$"}
.listingblock pre.highlightjs{padding:0}
.listingblock pre.highlightjs>code{padding:1em;-webkit-border-radius:4px;border-radius:4px}
.listingblock pre.prettyprint{border-width:0}
.prettyprint{background:#f7f7f8}
pre.prettyprint .linenums{line-height:1.45;margin-left:2em}
pre.prettyprint li{background:none;list-style-type:inherit;padding-left:0}
pre.prettyprint li code[data-lang]::before{opacity:1}
pre.prettyprint li:not(:first-child) code[data-lang]::before{display:none}
table.linenotable{border-collapse:separate;border:0;margin-bottom:0;background:none}
table.linenotable td[class]{color:inherit;vertical-align:top;padding:0;line-height:inherit;white-space:normal}
table.linenotable td.code{padding-left:.75em}
table.linenotable td.linenos{border-right:1px solid currentColor;opacity:.35;padding-right:.5em}
pre.pygments .lineno{border-right:1px solid currentColor;opacity:.35;display:inline-block;margin-right:.75em}
pre.pygments .lineno::before{content:"";margin-right:-.125em}
.quoteblock{margin:0 1em 1.25em 1.5em;display:table}
.quoteblock:not(.excerpt)>.title{margin-left:-1.5em;margin-bottom:.75em}
.quoteblock blockquote,.quoteblock p{color:rgba(0,0,0,.85);font-size:1.15rem;line-height:1.75;word-spacing:.1em;letter-spacing:0;font-style:italic;text-align:justify}
.quoteblock blockquote{margin:0;padding:0;border:0}
.quoteblock blockquote::before{content:"\201c";float:left;font-size:2.75em;font-weight:bold;line-height:.6em;margin-left:-.6em;color:#7a2518;text-shadow:0 1px 2px rgba(0,0,0,.1)}
.quoteblock blockquote>.paragraph:last-child p{margin-bottom:0}
.quoteblock .attribution{margin-top:.75em;margin-right:.5ex;text-align:right}
.verseblock{margin:0 1em 1.25em}
.verseblock pre{font-family:"Open Sans","DejaVu Sans",sans;font-size:1.15rem;color:rgba(0,0,0,.85);font-weight:300;text-rendering:optimizeLegibility}
.verseblock pre strong{font-weight:400}
.verseblock .attribution{margin-top:1.25rem;margin-left:.5ex}
.quoteblock .attribution,.verseblock .attribution{font-size:.9375em;line-height:1.45;font-style:italic}
.quoteblock .attribution br,.verseblock .attribution br{display:none}
.quoteblock .attribution cite,.verseblock .attribution cite{display:block;letter-spacing:-.025em;color:rgba(0,0,0,.6)}
.quoteblock.abstract blockquote::before,.quoteblock.excerpt blockquote::before,.quoteblock .quoteblock blockquote::before{display:none}
.quoteblock.abstract blockquote,.quoteblock.abstract p,.quoteblock.excerpt blockquote,.quoteblock.excerpt p,.quoteblock .quoteblock blockquote,.quoteblock .quoteblock p{line-height:1.6;word-spacing:0}
.quoteblock.abstract{margin:0 1em 1.25em;display:block}
.quoteblock.abstract>.title{margin:0 0 .375em;font-size:1.15em;text-align:center}
.quoteblock.excerpt>blockquote,.quoteblock .quoteblock{padding:0 0 .25em 1em;border-left:.25em solid #dddddf}
.quoteblock.excerpt,.quoteblock .quoteblock{margin-left:0}
.quoteblock.excerpt blockquote,.quoteblock.excerpt p,.quoteblock .quoteblock blockquote,.quoteblock .quoteblock p{color:inherit;font-size:1.0625rem}
.quoteblock.excerpt .attribution,.quoteblock .quoteblock .attribution{color:inherit;text-align:left;margin-right:0}
p.tableblock:last-child{margin-bottom:0}
td.tableblock>.content{margin-bottom:1.25em;word-wrap:anywhere}
td.tableblock>.content>:last-child{margin-bottom:-1.25em}
table.tableblock,th.tableblock,td.tableblock{border:0 solid #dedede}
table.grid-all>*>tr>*{border-width:1px}
table.grid-cols>*>tr>*{border-width:0 1px}
table.grid-rows>*>tr>*{border-width:1px 0}
table.frame-all{border-width:1px}
table.frame-ends{border-width:1px 0}
table.frame-sides{border-width:0 1px}
table.frame-none>colgroup+*>:first-child>*,table.frame-sides>colgroup+*>:first-child>*{border-top-width:0}
table.frame-none>:last-child>:last-child>*,table.frame-sides>:last-child>:last-child>*{border-bottom-width:0}
table.frame-none>*>tr>:first-child,table.frame-ends>*>tr>:first-child{border-left-width:0}
table.frame-none>*>tr>:last-child,table.frame-ends>*>tr>:last-child{border-right-width:0}
table.stripes-all tr,table.stripes-odd tr:nth-of-type(odd),table.stripes-even tr:nth-of-type(even),table.stripes-hover tr:hover{background:#f8f8f7}
th.halign-left,td.halign-left{text-align:left}
th.halign-right,td.halign-right{text-align:right}
th.halign-center,td.halign-center{text-align:center}
th.valign-top,td.valign-top{vertical-align:top}
th.valign-bottom,td.valign-bottom{vertical-align:bottom}
th.valign-middle,td.valign-middle{vertical-align:middle}
table thead th,table tfoot th{font-weight:bold}
tbody tr th{background:#f7f8f7}
tbody tr th,tbody tr th p,tfoot tr th,tfoot tr th p{color:rgba(0,0,0,.8);font-weight:bold}
p.tableblock>code:only-child{background:none;padding:0}
p.tableblock{font-size:1em}
ol{margin-left:1.75em}
ul li ol{margin-left:1.5em}
dl dd{margin-left:1.125em}
dl dd:last-child,dl dd:last-child>:last-child{margin-bottom:0}
ol>li p,ul>li p,ul dd,ol dd,.olist .olist,.ulist .ulist,.ulist .olist,.olist .ulist{margin-bottom:.625em}
ul.checklist,ul.none,ol.none,ul.no-bullet,ol.no-bullet,ol.unnumbered,ul.unstyled,ol.unstyled{list-style-type:none}
ul.no-bullet,ol.no-bullet,ol.unnumbered{margin-left:.625em}
ul.unstyled,ol.unstyled{margin-left:0}
ul.checklist{margin-left:.625em}
ul.checklist li>p:first-child>.fa-square-o:first-child,ul.checklist li>p:first-child>.fa-check-square-o:first-child{width:1.25em;font-size:.8em;position:relative;bottom:.125em}
ul.checklist li>p:first-child>input[type="checkbox"]:first-child{margin-right:.25em}
ul.inline{display:-ms-flexbox;display:-webkit-box;display:flex;-ms-flex-flow:row wrap;-webkit-flex-flow:row wrap;flex-flow:row wrap;list-style:none;margin:0 0 .625em -1.25em}
ul.inline>li{margin-left:1.25em}
.unstyled dl dt{font-weight:400;font-style:normal}
ol.arabic{list-style-type:decimal}
ol.decimal{list-style-type:decimal-leading-zero}
ol.loweralpha{list-style-type:lower-alpha}
ol.upperalpha{list-style-type:upper-alpha}
ol.lowerroman{list-style-type:lower-roman}
ol.upperroman{list-style-type:upper-roman}
ol.lowergreek{list-style-type:lower-greek}
.hdlist>table,.colist>table{border:0;background:none}
.hdlist>table>tbody>tr,.colist>table>tbody>tr{background:none}
td.hdlist1,td.hdlist2{vertical-align:top;padding:0 .625em}
td.hdlist1{font-weight:bold;padding-bottom:1.25em}
td.hdlist2{word-wrap:anywhere}
.literalblock+.colist,.listingblock+.colist{margin-top:-.5em}
.colist td:not([class]):first-child{padding:.4em .75em 0;line-height:1;vertical-align:top}
.colist td:not([class]):first-child img{max-width:none}
.colist td:not([class]):last-child{padding:.25em 0}
.thumb,.th{line-height:0;display:inline-block;border:solid 4px #fff;-webkit-box-shadow:0 0 0 1px #ddd;box-shadow:0 0 0 1px #ddd}
.imageblock.left{margin:.25em .625em 1.25em 0}
.imageblock.right{margin:.25em 0 1.25em .625em}
.imageblock>.title{margin-bottom:0}
.imageblock.thumb,.imageblock.th{border-width:6px}
.imageblock.thumb>.title,.imageblock.th>.title{padding:0 .125em}
.image.left,.image.right{margin-top:.25em;margin-bottom:.25em;display:inline-block;line-height:0}
.image.left{margin-right:.625em}
.image.right{margin-left:.625em}
a.image{text-decoration:none;display:inline-block}
a.image object{pointer-events:none}
sup.footnote,sup.footnoteref{font-size:.875em;position:static;vertical-align:super}
sup.footnote a,sup.footnoteref a{text-decoration:none}
sup.footnote a:active,sup.footnoteref a:active{text-decoration:underline}
#footnotes{padding-top:.75em;padding-bottom:.75em;margin-bottom:.625em}
#footnotes hr{width:20%;min-width:6.25em;margin:-.25em 0 .75em;border-width:1px 0 0}
#footnotes .footnote{padding:0 .375em 0 .225em;line-height:1.3334;font-size:.875em;margin-left:1.2em;margin-bottom:.2em}
#footnotes .footnote a:first-of-type{font-weight:bold;text-decoration:none;margin-left:-1.05em}
#footnotes .footnote:last-of-type{margin-bottom:0}
#content #footnotes{margin-top:-.625em;margin-bottom:0;padding:.75em 0}
.gist .file-data>table{border:0;background:#fff;width:100%;margin-bottom:0}
.gist .file-data>table td.line-data{width:99%}
div.unbreakable{page-break-inside:avoid}
.big{font-size:larger}
.small{font-size:smaller}
.underline{text-decoration:underline}
.overline{text-decoration:overline}
.line-through{text-decoration:line-through}
.aqua{color:#00bfbf}
.aqua-background{background:#00fafa}
.black{color:#000}
.black-background{background:#000}
.blue{color:#0000bf}
.blue-background{background:#0000fa}
.fuchsia{color:#bf00bf}
.fuchsia-background{background:#fa00fa}
.gray{color:#606060}
.gray-background{background:#7d7d7d}
.green{color:#006000}
.green-background{background:#007d00}
.lime{color:#00bf00}
.lime-background{background:#00fa00}
.maroon{color:#600000}
.maroon-background{background:#7d0000}
.navy{color:#000060}
.navy-background{background:#00007d}
.olive{color:#606000}
.olive-background{background:#7d7d00}
.purple{color:#600060}
.purple-background{background:#7d007d}
.red{color:#bf0000}
.red-background{background:#fa0000}
.silver{color:#909090}
.silver-background{background:#bcbcbc}
.teal{color:#006060}
.teal-background{background:#007d7d}
.white{color:#bfbfbf}
.white-background{background:#fafafa}
.yellow{color:#bfbf00}
.yellow-background{background:#fafa00}
span.icon>.fa{cursor:default}
a span.icon>.fa{cursor:inherit}
.admonitionblock td.icon [class^="fa icon-"]{font-size:2.5em;text-shadow:1px 1px 2px rgba(0,0,0,.5);cursor:default}
.admonitionblock td.icon .icon-note::before{content:"\f05a";color:#19407c}
.admonitionblock td.icon .icon-tip::before{content:"\f0eb";text-shadow:1px 1px 2px rgba(155,155,0,.8);color:#111}
.admonitionblock td.icon .icon-warning::before{content:"\f071";color:#bf6900}
.admonitionblock td.icon .icon-caution::before{content:"\f06d";color:#bf3400}
.admonitionblock td.icon .icon-important::before{content:"\f06a";color:#bf0000}
.conum[data-value]{display:inline-block;color:#fff!important;background:rgba(0,0,0,.8);-webkit-border-radius:50%;border-radius:50%;text-align:center;font-size:.75em;width:1.67em;height:1.67em;line-height:1.67em;font-family:"Open Sans","DejaVu Sans",sans-serif;font-style:normal;font-weight:bold}
.conum[data-value] *{color:#fff!important}
.conum[data-value]+b{display:none}
.conum[data-value]::after{content:attr(data-value)}
pre .conum[data-value]{position:relative;top:-.125em}
b.conum *{color:inherit!important}
.conum:not([data-value]):empty{display:none}
dt,th.tableblock,td.content,div.footnote{text-rendering:optimizeLegibility}
h1,h2,p,td.content,span.alt{letter-spacing:-.01em}
p strong,td.content strong,div.footnote strong{letter-spacing:-.005em}
p,blockquote,dt,td.content,span.alt{font-size:1.0625rem}
p{margin-bottom:1.25rem}
.sidebarblock p,.sidebarblock dt,.sidebarblock td.content,p.tableblock{font-size:1em}
.exampleblock>.content{background:#fffef7;border-color:#e0e0dc;-webkit-box-shadow:0 1px 4px #e0e0dc;box-shadow:0 1px 4px #e0e0dc}
.print-only{display:none!important}
@page{margin:1.25cm .75cm}
@media print{*{-webkit-box-shadow:none!important;box-shadow:none!important;text-shadow:none!important}
html{font-size:80%}
a{color:inherit!important;text-decoration:underline!important}
a.bare,a[href^="#"],a[href^="mailto:"]{text-decoration:none!important}
a[href^="http:"]:not(.bare)::after,a[href^="https:"]:not(.bare)::after{content:"(" attr(href) ")";display:inline-block;font-size:.875em;padding-left:.25em}
abbr[title]::after{content:" (" attr(title) ")"}
pre,blockquote,tr,img,object,svg{page-break-inside:avoid}
thead{display:table-header-group}
svg{max-width:100%}
p,blockquote,dt,td.content{font-size:1em;orphans:3;widows:3}
h2,h3,#toctitle,.sidebarblock>.content>.title{page-break-after:avoid}
#header,#content,#footnotes,#footer{max-width:none}
#toc,.sidebarblock,.exampleblock>.content{background:none!important}
#toc{border-bottom:1px solid #dddddf!important;padding-bottom:0!important}
body.book #header{text-align:center}
body.book #header>h1:first-child{border:0!important;margin:2.5em 0 1em}
body.book #header .details{border:0!important;display:block;padding:0!important}
body.book #header .details span:first-child{margin-left:0!important}
body.book #header .details br{display:block}
body.book #header .details br+span::before{content:none!important}
body.book #toc{border:0!important;text-align:left!important;padding:0!important;margin:0!important}
body.book #toc,body.book #preamble,body.book h1.sect0,body.book .sect1>h2{page-break-before:always}
.listingblock code[data-lang]::before{display:block}
#footer{padding:0 .9375em}
.hide-on-print{display:none!important}
.print-only{display:block!important}
.hide-for-print{display:none!important}
.show-for-print{display:inherit!important}}
@media print,amzn-kf8{#header>h1:first-child{margin-top:1.25rem}
.sect1{padding:0!important}
.sect1+.sect1{border:0}
#footer{background:none}
#footer-text{color:rgba(0,0,0,.6);font-size:.9em}}
@media amzn-kf8{#header,#content,#footnotes,#footer{padding:0}}
</style> 
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"> 
  <!--
  Copyright (c) 2010, 2023 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
--> 
  <meta name="robots" content="noindex"> 
  <style>
.menu, .submenu, .menuitem, .menuref {
    background-color: Menu;
}

.button {
    border: 1px solid ButtonFace;
    /*
    Styling too similar to a real button is considered bad practice, see https://github.com/asciidoctor/asciidoctor/issues/1881#issuecomment-250702085
    border: 2px outset ButtonFace;
    background-color: ButtonFace;
    */
    padding-left: 0.5ex;
    padding-right: 0.5ex;
    font-weight: normal;
    font-family: "Segoe UI","Open Sans","DejaVu Sans",sans-serif;
    white-space: nowrap;
}
.button:before {
    content: none !important;
}
.button:after {
    content: none !important;
}

#footer-text, #footer-text a {
    color: rgba(255,255,255,.8)
}

.toc-cur-page {
    font-weight: bold;
}
</style> 
 </head> 
 <body class="book toc2 toc-left"> 
  <div id="header">   
   <div id="toc" class="toc2">
    <p class="website-link">Part of: <a href="../..">Eclipse ESCET™ website</a></p> 
    <div id="toctitle">
     Eclipse ESCET™ development documentation (Incubation)
    </div> 
    <ul class="sectlevel1">
     <li><a href="../index.html">Home</a></li> 
     <li><a href="../index.html#eclipse-escet-development">Eclipse ESCET development</a> 
      <ul class="sectlevel2"> 
       <li><a href="dev-list.html">The Eclipse ESCET dev-list</a></li> 
       <li><a href="development-process.html">Development process</a></li> 
       <li><a href="contributing.html">Contributing</a></li> 
       <li><a href="issue-tracking.html">Issue tracking</a></li> 
       <li><a href="dev-env-setup.html">Development environment setup</a></li> 
       <li><a href="git-repo.html">Git repository</a></li> 
       <li><a href="coding-standards.html">Coding standards</a></li> 
       <li><a href="building-and-testing.html">Building and testing</a></li> 
       <li><a href="#" class="toc-cur-page">Release process</a></li> 
       <li><a href="third-party-tools.html">Third party tools</a></li> 
       <li><a href="dependency-upgrades.html">Dependency upgrades</a></li> 
       <li><a href="license-year-update.html">License year update</a></li> 
      </ul> </li> 
     <li><a href="../app-framework/index.html">Application framework</a> 
      <ul class="sectlevel2"> 
       <li><a href="../app-framework/introduction.html">Introduction</a></li> 
       <li><a href="../app-framework/standalone-vs-eclipse.html">Stand-alone execution versus Eclipse IDE</a></li> 
       <li><a href="../app-framework/application-class.html">The Application class</a></li> 
       <li><a href="../app-framework/exception-framework.html">The exception framework</a></li> 
       <li><a href="../app-framework/exit-codes.html">Exit codes</a></li> 
       <li><a href="../app-framework/io-framework.html">The I/O framework</a></li> 
       <li><a href="../app-framework/option-framework.html">The option framework</a></li> 
       <li><a href="../app-framework/compiler-framework.html">The compiler framework</a></li> 
       <li><a href="../app-framework/implement-your-application.html">How to implement your own application</a></li> 
       <li><a href="../app-framework/registration.html">Application registration</a></li> 
       <li><a href="../app-framework/execution.html">Execution</a></li> 
      </ul> </li> 
     <li><a href="../dsm/index.html">Design Structure Matrix (DSM) library</a> 
      <ul class="sectlevel2"> 
       <li><a href="../dsm/entrypoint.html">Code organization</a></li> 
       <li><a href="../dsm/algorithm.html">Algorithm and code</a></li> 
       <li><a href="../dsm/busdetection.html">Bus detection algorithms</a></li> 
       <li><a href="../dsm/references.html">References</a></li> 
      </ul> </li> 
     <li><a href="../multivalue/index.html">Multi-value Decision Diagrams library</a> 
      <ul class="sectlevel2"> 
       <li><a href="../multivalue/goals.html">Goals</a></li> 
       <li><a href="../multivalue/variables-and-relations.html">Variables and relations</a></li> 
       <li><a href="../multivalue/combining-relations.html">Combining relations</a></li> 
       <li><a href="../multivalue/computing.html">Computing</a></li> 
       <li><a href="../multivalue/practical-usage.html">Practical usage</a></li> 
      </ul> </li> 
     <li><a href="../rail/index.html">Rail diagram generator</a> 
      <ul class="sectlevel2"> 
       <li><a href="../rail/introduction.html">Introduction</a></li> 
       <li><a href="../rail/examples.html">Examples</a></li> 
       <li><a href="../rail/customizing-output.html">Customizing output</a></li> 
       <li><a href="../rail/commandline.html">Command-line arguments</a></li> 
       <li><a href="../rail/lexical-syntax.html">Lexical syntax</a></li> 
       <li><a href="../rail/grammar.html">Grammar</a></li> 
       <li><a href="../rail/debugging.html">Debugging</a></li> 
      </ul> </li> 
     <li><a href="../setext/index.html">SeText scanner/parser generator</a> 
      <ul class="sectlevel2"> 
       <li><a href="../setext/lexical-syntax.html">SeText lexical syntax</a></li> 
       <li><a href="../setext/specifying-lexical-syntax.html">Specifying lexical syntax using SeText</a></li> 
       <li><a href="../setext/regular-expressions.html">Regular expressions</a></li> 
       <li><a href="../setext/terminal-descriptions.html">Terminal descriptions</a></li> 
       <li><a href="../setext/imports.html">Imports</a></li> 
       <li><a href="../setext/scanner-hooks.html">Scanner hooks</a></li> 
       <li><a href="../setext/specifying-grammars.html">Specifying grammars using SeText</a></li> 
       <li><a href="../setext/parser-hooks.html">Parser hooks</a></li> 
       <li><a href="../setext/usage-hints.html">Usage hints</a></li> 
       <li><a href="../setext/generated-scanners-parsers.html">Generated scanners/parsers</a></li> 
       <li><a href="../setext/using-in-an-eclipse-plugin-project.html">Using SeText in an Eclipse Plug-in Project</a></li> 
       <li><a href="../setext/limitations.html">Limitations</a></li> 
      </ul> </li> 
     <li><a href="../legal.html">Legal</a></li> 
    </ul> 
   </div> 
  </div> 
  <div id="content">
   <div id="breadcrumbs">
    <a class="breadcrumb" href="../index.html">Eclipse ESCET™ development documentation (Incubation)</a> &gt; 
    <span class="breadcrumb">Release process</span>
   </div>         
   <h2 id="release-process"><a class="anchor" href="#"></a>Release process</h2> 
   <div class="paragraph"> 
    <p>This page explains step by step the various processes involved from preparing for a release to actually releasing it. The following topics are covered:</p> 
   </div> 
   <div class="ulist"> 
    <ul> 
     <li> <p><a href="#release-policy">Release policy</a></p> </li> 
     <li> <p><a href="#planning-for-a-next-version">Planning for a next version</a></p> </li> 
     <li> <p><a href="#preparing-git-repository-for-a-next-version">Preparing Git repository for a next version</a></p> </li> 
     <li> <p><a href="#working-on-a-release">Working on a release</a></p> </li> 
     <li> <p><a href="#preparing-a-release">Preparing a release</a></p> </li> 
     <li> <p><a href="#preparing-a-release-review">Preparing a release review</a></p> </li> 
     <li> <p><a href="#performing-a-release">Performing a release</a></p> </li> 
     <li> <p><a href="#removing-archiving-old-releases">Removing/archiving old releases</a></p> </li> 
    </ul> 
   </div> 
   <div class="sect3"> 
    <h3 id="release-policy"><a class="anchor" href="#release-policy"></a>Release policy</h3> 
    <div class="paragraph"> 
     <p>The Eclipse ESCET project uses a time-based release policy. We generally release every three months, at the end of each quarter, typically on its last working day.</p> 
    </div> 
    <div class="paragraph"> 
     <p>We may however deviate from this. For instance, we may release earlier at the end of the year, well before the Christmas period.</p> 
    </div> 
   </div> 
   <div class="sect3"> 
    <h3 id="planning-for-a-next-version"><a class="anchor" href="#planning-for-a-next-version"></a>Planning for a next version</h3> 
    <div class="paragraph"> 
     <p>For a new version (not milestone or release candidate), follow these steps. Perform them well in advance of starting work on the version, i.e. while still working on the previous version:</p> 
    </div> 
    <div class="ulist"> 
     <ul> 
      <li> <p>Create a new release record:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to <a href="https://projects.eclipse.org/projects/technology.escet" class="bare">https://projects.eclipse.org/projects/technology.escet</a>.</p> </li> 
         <li> <p>Log in with your Eclipse Foundation account using the link at the top-right of the page.</p> </li> 
         <li> <p>Click the <em>Create a new release</em> link in the bar at the right.</p> </li> 
         <li> <p>Set the planned release date and give the release a name, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>.</p> </li> 
         <li> <p>Click <em>Create and edit</em>.</p> </li> 
         <li> <p>For <em>Description</em>, click the <em>Source</em> button in the toolbar of the editor. Then enter <code>&lt;p&gt;See &lt;a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/milestones/NNN"&gt;Eclipse ESCET GitLab vN.N issues&lt;/a&gt; for more information.&lt;/p&gt;</code>. Replace <code>NNN</code> by the actual GitLab milestone number to ensure a correct URL. Replace <code>vN.N</code> by the version, e.g. <code>v0.1</code>, <code>v0.1.1</code> or <code>v1.0</code>.</p> </li> 
         <li> <p>Change the <em>Release type</em> if applicable.</p> </li> 
         <li> <p>Click <em>Save</em>.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Create a GitLab milestone:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/milestones" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet/-/milestones</a>.</p> </li> 
         <li> <p>Sign in with your Eclipse Foundation account using the link at the top-right of the page.</p> </li> 
         <li> <p>Click <em>New milestone</em>.</p> </li> 
         <li> <p>For <em>Title</em> enter the version, e.g. <code>v0.1</code>, <code>v0.1.1</code> or <code>v1.0</code>.</p> </li> 
         <li> <p>For <em>Description</em> enter <code>See also <a href="https://projects.eclipse.org/projects/technology.escet/releases/N.N" class="bare">https://projects.eclipse.org/projects/technology.escet/releases/N.N</a>.</code>. Replace <code>N.N</code> by the actual release record version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>.</p> </li> 
         <li> <p>For <em>Start date</em> select the first day after the <em>Due date</em> of the previous version.</p> </li> 
         <li> <p>For <em>End date</em> select the same date as the planned release date of the release record.</p> </li> 
         <li> <p>Click <em>Create milestone</em>.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Create release issues:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet/-/issues</a>.</p> </li> 
         <li> <p>Sign in with your Eclipse Foundation account using the link at the top-right of the page.</p> </li> 
         <li> <p>Click <em>New issue</em>.</p> </li> 
         <li> <p>For <em>Title</em> enter <code>Release vN.N-M1</code>. Replace <code>N.N</code> by the actual release record version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>.</p> </li> 
         <li> <p>For <em>Milestone</em> select the just created GitLab milestone.</p> </li> 
         <li> <p>For <em>Labels</em> select <em>RelEng/DevOps</em> and <em>Type::Enhancement</em>.</p> </li> 
         <li> <p>Click <em>Create issue</em>.</p> </li> 
         <li> <p>Repeat these steps to create issues for the release candidate (<code>Release vN.N-RC1</code>) and final release (<code>Release vN.N</code>).</p> </li> 
         <li> <p>Repeat these steps to create an issue for <a href="#preparing-git-repository-for-a-next-version">preparing the Git repository for development</a> of the new version (<code>Prepare Git repo for vN.N development</code>).</p> </li> 
         <li> <p>If a <a href="#preparing-a-release-review">release review</a> is needed, create an issue for that as well (<code>Release review for vN.N</code>).</p> </li> 
        </ul> 
       </div> </li> 
     </ul> 
    </div> 
   </div> 
   <div class="sect3"> 
    <h3 id="preparing-git-repository-for-a-next-version"><a class="anchor" href="#preparing-git-repository-for-a-next-version"></a>Preparing Git repository for a next version</h3> 
    <div class="paragraph"> 
     <p>To prepare the Git repository for the next version (not a milestone or release candidate), follow these steps:</p> 
    </div> 
    <div class="ulist"> 
     <ul> 
      <li> <p>Run in the root of the Git repository the command <code>./mvn_escet.sh org.eclipse.tycho:tycho-versions-plugin:set-version -DnewVersion=&lt;new-version&gt;</code>, where <code>&lt;new-version&gt;</code> is replaced by the new version, e.g. <code>0.2.0.qualifier</code>. This replaces most version numbers automatically. Check all changes to ensure no versions are updated that should not be updated.</p> </li> 
      <li> <p>Verify that the <code>product</code> <code>version</code> in <code>org.eclipse.escet.product/escet.product</code> is properly updated. The old version should no longer be present. This should be automatic.</p> </li> 
      <li> <p>Verify that the <code>feature</code> <code>version</code> of the product feature in <code>org.eclipse.escet.product/escet.product</code> is properly updated. The old version should no longer be present. This should be automatic.</p> </li> 
      <li> <p>Verify that the <code>Bundle-Version</code> of all <code>MANIFEST.MF</code> files in <code>org.eclipse.escet.*</code> projects are properly updated. The old version should no longer be present. This should be automatic.</p> </li> 
      <li> <p>Manually replace in all <code>MANIFEST.MF</code> files the regex <code>org\.eclipse\.escet\.([a-z0-9\.]+);bundle-version="&lt;old-version&gt;"</code> by <code>org.eclipse.escet.\1;bundle-version="&lt;new-version&gt;"</code>, where <code>&lt;old-version&gt;</code> and <code>&lt;new-version&gt;</code> are replaced by actual versions, e.g. <code>0.1.0</code>. Check for unintended changes. Search for the old version in all manifests to ensure none remain.</p> </li> 
      <li> <p>In all documentation sets, add a new section to the release notes for the new version, before the existing versions:</p> 
       <div class="listingblock"> 
        <div class="content"> 
         <pre class="highlight"><code>=== Version 0.2

TBD</code></pre> 
        </div> 
       </div> </li> 
      <li> <p>Verify that the <code>&lt;version&gt;</code> of a POM and its parent in each <code>pom.xml</code> are properly updated. The old version should no longer be present. This should mostly be automatic. Manually adapt it where necessary.</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Manually adapt the version in <code>org.eclipse.escet.releng.configuration/pom.xml</code>.</p> </li> 
         <li> <p>Manually adapt the parent version in <code>org.eclipse.escet.root/pom.xml</code>. Also remove the version for the pom itself, to prevent a warning that the version of the pom and its parent are identical.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Verify that the <code>version</code> of all <code>feature.xml</code> files in <code>org.eclipse.escet.*</code> projects are properly updated. The old version should no longer be present. This should be automatic.</p> </li> 
      <li> <p>Verify that the <code>license-feature-version</code> of all <code>feature.xml</code> files in <code>org.eclipse.escet.*</code> projects are properly updated. The old version should no longer be present. This should be automatic.</p> </li> 
      <li> <p>Manually replace in all <code>feature.xml</code> files the regex <code>&lt;import feature="([^"]+)" version="&lt;old-version&gt;"/&gt;</code> by <code>&lt;import feature="\1" version="&lt;new-version&gt;"/&gt;</code>, where <code>&lt;old-version&gt;</code> and <code>&lt;new-version&gt;</code> are replaced by actual versions, e.g. <code>0.1.0.qualifier</code>. Check for unintended changes.</p> </li> 
      <li> <p>Manually search for the old version in all <code>features.xml</code> files to ensure none remain.</p> </li> 
      <li> <p>Search the entire Git repository (all projects) for the old version number and update anything that still requires updating.</p> </li> 
      <li> <p>Test that the <a href="building-and-testing.html">build works</a>.</p> </li> 
     </ul> 
    </div> 
   </div> 
   <div class="sect3"> 
    <h3 id="working-on-a-release"><a class="anchor" href="#working-on-a-release"></a>Working on a release</h3> 
    <div class="paragraph"> 
     <p>The work for the next release (milestone, release candidate, or final release) is done in the <code>develop</code> branch. See the <a href="development-process.html">development process</a> for more information.</p> 
    </div> 
    <div class="paragraph"> 
     <p>Note that for each version at least one milestone release and at least one release candidate are required before a final release.</p> 
    </div> 
   </div> 
   <div class="sect3"> 
    <h3 id="preparing-a-release"><a class="anchor" href="#preparing-a-release"></a>Preparing a release</h3> 
    <div class="paragraph"> 
     <p>Once the work on <code>develop</code> is done for a release (milestone, release candidate, or final release), follow these steps to prepare for the release:</p> 
    </div> 
    <div class="ulist"> 
     <ul> 
      <li> <p>Double check that the release notes of all documentation sets have been updated for all end-user visible changes.</p> </li> 
      <li> <p>For a final release add the release date to the release notes.</p> </li> 
      <li> <p>For a final release ensure the <code>TBD</code> indication is removed in the release notes of all documentation sets.</p> </li> 
      <li> <p>For a final release ensure that all IP is accounted for and all relevant CQs and IP Team GitLab issues have been approved by the Eclipse Foundation IP team.</p> </li> 
      <li> <p>For a final release ensure that a <a href="#preparing-a-release-review">release review</a> has been successfully completed no more than one year ago.</p> </li> 
     </ul> 
    </div> 
   </div> 
   <div class="sect3"> 
    <h3 id="preparing-a-release-review"><a class="anchor" href="#preparing-a-release-review"></a>Preparing a release review</h3> 
    <div class="paragraph"> 
     <p>For a final release a release review must have been successfully completed no more than one year ago. Follow these steps to prepare a release review:</p> 
    </div> 
    <div class="ulist"> 
     <ul> 
      <li> <p>Read the <a href="https://www.eclipse.org/projects/handbook/#release-review">official information on release reviews</a> in the Eclipse Project Handbook. In particular, note that the Eclipse Foundation "schedule[s] reviews to conclude on the first and third Wednesdays of the month. Your release date does not have to coincide with the review date (you can set the release date as necessary). The review must, however, conclude successfully before you can make the release official."</p> </li> 
      <li> <p>Update the release record, including the release review information:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to the release record at <code>https://projects.eclipse.org/projects/technology.escet/releases/N.N</code>. Replace <code>N.N</code> by the actual release record version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>.</p> </li> 
         <li> <p>Click the <em>Edit</em> tab.</p> </li> 
         <li> <p>Change the information as desired, using previous release records as inspiration.</p> </li> 
         <li> <p>For the <em>Description</em>, use the following template:</p> 
          <div class="listingblock"> 
           <div class="content"> 
            <pre class="highlight"><code class="language-html" data-lang="html">&lt;p&gt;This release [describe the release in a few sentences].&lt;/p&gt;

&lt;p&gt;For more information:&lt;/p&gt;

&lt;ul&gt;
    &lt;li&gt;Eclipse ESCET vN.N-NNN release notes
    &lt;ul&gt;
        &lt;li&gt;&lt;a href="https://www.eclipse.org/escet/vN.N-NNN/release-notes.html"&gt;ESCET toolkit release notes&lt;/a&gt;&lt;/li&gt;
        &lt;li&gt;&lt;a href="https://www.eclipse.org/escet/vN.N-NNN/chi/release-notes.html"&gt;Chi release notes&lt;/a&gt;&lt;/li&gt;
        &lt;li&gt;&lt;a href="https://www.eclipse.org/escet/vN.N-NNN/cif/release-notes.html"&gt;CIF release notes&lt;/a&gt;&lt;/li&gt;
        &lt;li&gt;&lt;a href="https://www.eclipse.org/escet/vN.N-NNN/tooldef/release-notes.html"&gt;ToolDef release notes&lt;/a&gt;&lt;/li&gt;
    &lt;/ul&gt;
    &lt;/li&gt;
    &lt;li&gt;&lt;a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/milestones/NN"&gt;Eclipse ESCET GitLab vN.N issues&lt;/a&gt;&lt;/li&gt;
&lt;/ul&gt;</code></pre> 
           </div> 
          </div> 
          <div class="paragraph"> 
           <p>Replace <code>N.N-NNN</code> by the latest release candidate version of the release to be reviewed, e.g. <code>0.1-RC1</code>, <code>0.1.1-RC2</code> or <code>1.0-RC1</code>. Replace <code>NN</code> by the actual GitLab milestone number, e.g., <code>1</code>, <code>2</code> or <code>3</code>. Replace <code>N.N</code> by the final release version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>.</p> 
          </div> </li> 
         <li> <p>Click <em>Save</em>.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Submit the IP Log:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to <a href="https://projects.eclipse.org/projects/technology.escet" class="bare">https://projects.eclipse.org/projects/technology.escet</a>.</p> </li> 
         <li> <p>Ensure you’re logged in, as an ESCET project committer.</p> </li> 
         <li> <p>In the right sidebar, click <em>Generate IP Log</em>.</p> </li> 
         <li> <p>For <em>Respin</em>, select <em>None, this is a new IP Log review request</em>.</p> </li> 
         <li> <p>For <em>Required by date</em>, select the date one week before the review conclusion date.</p> </li> 
         <li> <p>For <em>Release</em> select the relevant release.</p> </li> 
         <li> <p>It is not necessary to write any <em>Comments</em>.</p> </li> 
         <li> <p>Click <em>Submit for review</em>.</p> </li> 
         <li> <p>Note the message at the top of the page, indicating that a CQ was created, to track the approval of the IP Log by the Eclipse Foundation IP team.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Request PMC approval:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to <a href="https://accounts.eclipse.org/mailing-list/technology-pmc" class="bare">https://accounts.eclipse.org/mailing-list/technology-pmc</a> and subscribe to the Technology PMC mailing list, if not yet subscribed. Subscription is necessary to post to the list.</p> </li> 
         <li> <p>Send an email to <code>technology-pmc@eclipse.org</code>, with a CC to <code>escet-dev@eclipse.org</code>.</p> 
          <div class="ulist"> 
           <ul> 
            <li> <p>As subject, use <code>Request release approval for Eclipse ESCET vN.N release</code>. Replace <code>vN.N</code> by the release version, e.g. <code>v0.1</code>, <code>v0.1.1</code> or <code>v1.0</code>.</p> </li> 
            <li> <p>As message, use the following template:</p> 
             <div class="listingblock"> 
              <div class="content"> 
               <pre class="highlight"><code>The Eclipse ESCET project hereby requests approval for the vN.N release.

See https://projects.eclipse.org/projects/technology.escet/releases/N.N

Kind regards,
&lt;Your Name&gt;
Eclipse ESCET &lt;your role&gt;</code></pre> 
              </div> 
             </div> 
             <div class="paragraph"> 
              <p>Replace <code>N.N</code> by the release version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>. Replace <code>&lt;Your Name&gt;</code> by your full name (first and last name). Replace <code>&lt;your role</code>&gt; by either <code>project lead</code> or <code>project committer</code>.</p> 
             </div> </li> 
           </ul> 
          </div> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Ask the EMO to schedule the release review and make it public:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to the release record at <code>https://projects.eclipse.org/projects/technology.escet/releases/N.N</code>. Replace <code>N.N</code> by the actual release record version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>.</p> </li> 
         <li> <p>Observe how <em>Schedule a review for this release</em> is indicated at the top of the page.</p> </li> 
         <li> <p>Click the <em>review</em> link as part of that text.</p> </li> 
         <li> <p>For <em>Review dates</em> select the review conclusion date.</p> </li> 
         <li> <p>Click <em>Schedule a review</em>.</p> </li> 
         <li> <p>Observe how the text has changed to <em>This review is pending; contact The Eclipse Management Organization to make it public.</em></p> </li> 
         <li> <p>Send an email to <code>emo@eclipse.org</code>, with a CC to <code>escet-dev@eclipse.org</code>.</p> 
          <div class="ulist"> 
           <ul> 
            <li> <p>As subject, use <code>Please schedule the Eclipse ESCET vN.N Release Review</code>. Replace <code>vN.N</code> by the release version, e.g. <code>v0.1</code>, <code>v0.1.1</code> or <code>v1.0</code>.</p> </li> 
            <li> <p>As message, use the following template:</p> 
             <div class="listingblock"> 
              <div class="content"> 
               <pre class="highlight"><code>See https://projects.eclipse.org/projects/technology.escet/reviews/N.N-release-review

Kind regards,
&lt;Your Name&gt;
Eclipse ESCET &lt;your role&gt;</code></pre> 
              </div> 
             </div> 
             <div class="paragraph"> 
              <p>Replace <code>N.N</code> by the release version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>. Replace <code>&lt;Your Name&gt;</code> by your full name (first and last name). Replace <code>&lt;your role</code>&gt; by either <code>project lead</code> or <code>project committer</code>.</p> 
             </div> </li> 
           </ul> 
          </div> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Update the release review issue description with the following template:</p> 
       <div class="listingblock"> 
        <div class="content"> 
         <pre class="highlight"><code class="language-markdown" data-lang="markdown">See the following pages for submitted materials and approval:
* Release record and review materials: https://projects.eclipse.org/projects/technology.escet/releases/N.N
* IP Log approval issue: https://dev.eclipse.org/ipzilla/show_bug.cgi?id=NNN
* PMC approval request: https://www.eclipse.org/lists/technology-pmc/msgNNNN.html
* PMC approval: https://www.eclipse.org/lists/technology-pmc/msgNNNNN.html
* EMO release review scheduling request: https://www.eclipse.org/lists/escet-dev/msgNNNNNN.html
* EMO release review tracking issue: https://gitlab.eclipse.org/eclipsefdn/emo-team/emo/-/issues/NN</code></pre> 
        </div> 
       </div> 
       <div class="paragraph"> 
        <p>Replace <code>N.N</code> by the release version, e.g. <code>0.1</code>, <code>0.1.1</code> or <code>1.0</code>. Replace <code>NNN</code> by the IP Log CQ issue number. Replace <code>NNNN</code>, <code>NNNNN</code>, and <code>NNNNNN</code> by the corresponding mailing list message numbers. Consult the <a href="http://www.eclipse.org/lists/technology-pmc">Technology PMC mailing list archive</a> and the <a href="http://www.eclipse.org/lists/escet-dev">Eclipse ESCET dev mailing list archive</a> to find the messages and their message numbers. Replace <code>NN</code> by the GitLab issue number of the issue that will be created by the EMO to track the release review.</p> 
       </div> </li> 
      <li> <p>Ensure the release review is successful before <a href="#performing-a-release">performing the release</a>.</p> </li> 
     </ul> 
    </div> 
   </div> 
   <div class="sect3"> 
    <h3 id="performing-a-release"><a class="anchor" href="#performing-a-release"></a>Performing a release</h3> 
    <div class="paragraph"> 
     <p>To perform a release (milestone, release candidate, or final release), i.e. actually release it, follow these steps:</p> 
    </div> 
    <div class="ulist"> 
     <ul> 
      <li> <p>Merge <code>develop</code> to <code>master</code>:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Since <code>master</code> is a protected branch for the Eclipse ESCET GitLab, a GitLab merge request is the only way to update it.</p> </li> 
         <li> <p>Create a GitLab merge request from <code>develop</code> to <code>master</code>.</p> </li> 
         <li> <p>For <em>Title</em> enter <code>#NNN develop to master for vN.N</code>. Replace <code>#NNN</code> by the relevant issue number. Replace <code>N.N</code> by the release version, e.g. <code>1.0-M1</code>, <code>1.0-RC1</code> or <code>1.0</code>.</p> </li> 
         <li> <p>Replace the automatically generated but incomplete <em>Description</em> by <code>Addresses #NNN</code>. Replace <code>#NNN</code> by the relevant issue number.</p> </li> 
         <li> <p>For <em>Milestone</em> select the relevant milestone.</p> </li> 
         <li> <p>For <em>Labels</em> select <em>RelEng/DevOps</em> and <em>Type::Enhancement</em>.</p> </li> 
         <li> <p>Click <em>Create merge request</em>.</p> </li> 
         <li> <p>Wait for the <a href="building-and-testing.html">builds on Jenkins</a> to successfully complete and press <em>Merge</em>. Alternatively, press <em>Merge when pipeline succeeds</em> to automatically merge the merge request once the build succeeds.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Add a tag on the commit in <code>master</code> that is to be released. Only version tags with a specific syntax will be picked up by Jenkins to be released. For instance, use <code>v0.1</code>, <code>v0.1.1</code>, <code>v2.0</code>, etc for releases, <code>v0.1-M1</code> for a milestone build, or <code>v0.1-RC1</code> for a release candidate.</p> 
       <div class="paragraph"> 
        <p>Add the tag via GitLab, at <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/tags/new" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet/-/tags/new</a>. Use the <em>Tag name</em> also as <em>Message</em>. Make sure to select <code>master</code> as branch from which to create the tag. Click <em>Create tag</em> to create the new tag.</p> 
       </div> </li> 
      <li> <p>Add a GitLab release for the new tag, at <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/releases/new" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet/-/releases/new</a>. Select the tag you just created under <em>Tag name</em>. Set the <em>Release title</em> and <em>Release notes</em> to the tag name. Select the relevant milestone under <em>Milestones</em>. Click <em>Create release</em> to create the new release.</p> </li> 
      <li> <p>Go to Jenkins, at <a href="https://ci.eclipse.org/escet/job/ESCET%20build/" class="bare">https://ci.eclipse.org/escet/job/ESCET%20build/</a>. Log in to Jenkins by clicking on the link at the top-right of the page. Select <em>Scan GitLab Project Now</em> to ensure Jenkins picks up the new tag.</p> </li> 
      <li> <p>Go to <a href="https://ci.eclipse.org/escet/job/ESCET%20build/view/tags/" class="bare">https://ci.eclipse.org/escet/job/ESCET%20build/view/tags/</a> to see the new tag on Jenkins. Manually trigger a build for the tag, by clicking the <em>Schedule a build for …​</em> icon in the row for the tag. Jenkins will then automatically build and release a new version from that tag.</p> </li> 
      <li> <p>All releases are available at <a href="https://download.eclipse.org/escet/" class="bare">https://download.eclipse.org/escet/</a>. For a version <code>v0.1</code>, the downloads will be located at <code>https://download.eclipse.org/escet/v0.1</code>.</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>End users should however be referred to <a href="https://eclipse.org/escet/download.html" class="bare">https://eclipse.org/escet/download.html</a> instead of <code>download.eclipse.org</code>. The buttons on this web page serve downloads via a mirror script. This ensures that a nearby mirror is selected, for faster downloads. It also ensures that downloads are counted in the download statistics. Furthermore, it transparently handles files moved from <code>download.eclipse.org</code> to <code>archive.eclipse.org</code>.</p> </li> 
         <li> <p>According to the Eclipse Foundation Wiki page <a href="https://wiki.eclipse.org/IT_Infrastructure_Doc">IT Infrastructure Doc</a>, "Once your files are on the <code>download.eclipse.org</code> server, they are immediately available to the general public. However, for release builds, we ask that you wait at least four hours for our mirror sites to fetch the new files before linking to them. It typically takes a day or two for all the mirror sites to synchronize with us and get new files." Immediately after the downloads being available, downloading them may thus be slower, even if the mirror script is used.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Jenkins will automatically push the website for the new release to the website Git repository, in a directory for the specific release. For a version <code>v0.1</code>, the website can be accessed at <code>https://eclipse.org/escet/v0.1</code>. It may take a few minutes for the Git repository to be synced to the webserver and for the website for the new version to become available.</p> </li> 
      <li> <p>If the website for the new release is to be the standard visible website for the project (at <code><a href="https://eclipse.org/escet" class="bare">https://eclipse.org/escet</a></code>), it has to be manually replaced. This is to ensure that a bugfix release for an older version doesn’t override the standard visible website. The following steps explain how to 'promote' a website for a specific version to become the standard visible website:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>These steps assume that you’ve set up an Eclipse ESCET development environment, using the <a href="dev-env-setup.html">standard instructions</a>, at <code>&lt;path-to-dev-env&gt;</code>.</p> </li> 
         <li> <p>Open a terminal.</p> </li> 
         <li> <p>Execute <code>cd &lt;path-to-dev-env&gt;/git</code> to go to the directory of your development environment with Git repositories.</p> </li> 
         <li> <p>Clone the Eclipse ESCET website Git repository by executing <code>git clone <a href="https://gitlab.eclipse.org/eclipse/escet/escet-website.git" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet-website.git</a></code>.</p> </li> 
         <li> <p>Execute <code>cd escet-website</code> to enter the directory that contains the new clone.</p> </li> 
         <li> <p>Execute <code>../escet/misc/website/switch-standard-visible-website.bash vN.N "Full Name" "some@example.com"</code>, with appropriate substitutions, to replace the standard visible website:</p> 
          <div class="ulist"> 
           <ul> 
            <li> <p>Replace <code>vN.N</code> with the website release version that is to become the standard visible website, e.g., <code>v0.1</code>, <code>v1.0-M1</code> or <code>v1.1.0-RC1</code>.</p> </li> 
            <li> <p>Replace <code>Full Name</code> by your full name (first name and last name) as registered in your Eclipse Foundation account, e.g., <code>John Smith</code>.</p> </li> 
            <li> <p>Replace <code>some@example.com</code> by your email address as registered in your Eclipse Foundation account.</p> </li> 
           </ul> 
          </div> </li> 
         <li> <p>As indicated, review the new commit. If it is OK, push it by executing <code>git push</code>.</p> </li> 
         <li> <p>Check that the changes are correctly registered by GitLab, at <a href="https://gitlab.eclipse.org/eclipse/escet/escet-website/-/commits/master" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet-website/-/commits/master</a>.</p> </li> 
         <li> <p>Remove the website repository clone, by executing <code>cd ..</code> and <code>rm -rf escet-website</code>.</p> </li> 
         <li> <p>It may take a few minutes for the Git repository to be synced to the webserver, and for the new standard visible website to become available. The standard visible website can be accessed at <code><a href="https://eclipse.org/escet" class="bare">https://eclipse.org/escet</a></code>. Depending on browser cache settings and other factors, it may be necessary to force refresh your browser for it to pick up the changes on the server.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Inform others about the new release:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>In the relevant GitLab issue, for final releases, post the following comment, where <code>N.N</code> is to be replaced by the actual release version, e.g. <code>0.1</code> or <code>1.0</code>:</p> 
          <div class="listingblock"> 
           <div class="content"> 
            <pre class="highlight"><code>I just released vN.N:

- https://eclipse.org/escet/
- https://eclipse.org/escet/download.html
- https://eclipse.org/escet/release-notes.html

And here are the permalinks:

- https://eclipse.org/escet/vN.N
- https://eclipse.org/escet/vN.N/download.html
- https://eclipse.org/escet/vN.N/release-notes.html

Note that mirrors may still need to sync, so downloads may be a bit slower until then.</code></pre> 
           </div> 
          </div> </li> 
         <li> <p>In the relevant GitLab issue, for milestones and release candidates, post the following comment, where <code>N.N-NNN</code> is to be replaced by the actual release version, e.g. <code>0.1-M1</code> or <code>1.0-RC1</code>:</p> 
          <div class="listingblock"> 
           <div class="content"> 
            <pre class="highlight"><code>I just released vN.N-NNN:

- https://eclipse.org/escet/vN.N-NNN
- https://eclipse.org/escet/vN.N-NNN/download.html
- https://eclipse.org/escet/vN.N-NNN/release-notes.html

Note that mirrors may still need to sync, so downloads may be a bit slower until then.</code></pre> 
           </div> 
          </div> </li> 
         <li> <p>Also send an email to <code>escet-dev@eclipse.org</code> with similar content.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Clean up after the release:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Close the GitLab issue for the release.</p> </li> 
         <li> <p>For a final release, ensure all issues in the GitLab milestone are closed.</p> </li> 
         <li> <p>For a final release, close the GitLab milestone.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p><a href="#removing-archiving-old-releases">Remove/archive</a> old releases.</p> </li> 
     </ul> 
    </div> 
   </div> 
   <div class="sect3"> 
    <h3 id="removing-archiving-old-releases"><a class="anchor" href="#removing-archiving-old-releases"></a>Removing/archiving old releases</h3> 
    <div class="paragraph"> 
     <p>To prevent unnecessary disk space usage, old releases can be archived and removed. Below the policy and steps for both of them are explained. These steps are to be followed after <a href="#performing-a-release">performing a release</a>.</p> 
    </div> 
    <div class="paragraph"> 
     <p>For every release, including milestones and release candidates:</p> 
    </div> 
    <div class="ulist"> 
     <ul> 
      <li> <p>Remove the builds for all previously built tags, thus excluding the tag of the release that was just built:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>In Jenkins, while logged in, go to <a href="https://ci.eclipse.org/escet/job/ESCET%20build/view/tags/" class="bare">https://ci.eclipse.org/escet/job/ESCET%20build/view/tags/</a>.</p> </li> 
         <li> <p>Select the tag name in the <em>Name</em> column to go the tag’s page.</p> </li> 
         <li> <p>There, on the left, the various builds are indicated by <code>#n</code>, with <code>n</code> some number.</p> </li> 
         <li> <p>In the drop down menu of a build, select <em>Delete build #n</em> to remove it.</p> </li> 
         <li> <p>When asked to confirm, click <em>Yes</em>.</p> </li> 
        </ul> 
       </div> </li> 
     </ul> 
    </div> 
    <div class="paragraph"> 
     <p>For every final release, thus excluding milestones and release candidates:</p> 
    </div> 
    <div class="ulist"> 
     <ul> 
      <li> <p>Identify the milestone and release candidate versions to remove. We remove all milestones and release candidates of the previous version and older. E.g. for <code>v0.2</code>, we remove <code>v0.1-M1</code>, <code>v0.1-M2</code>, <code>v0.1-RC1</code>, etc.</p> </li> 
      <li> <p>Identify the final release versions to archive. We archive all releases older than the current and previous release, but never remove them. E.g. for <code>v0.3</code> we archive <code>v0.1</code> and older, but keep <code>v0.2</code>.</p> </li> 
      <li> <p>Remove the websites of the identified milestone and release candidate versions:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Clone the Eclipse ESCET website Git repository using <code>git clone <a href="https://gitlab.eclipse.org/eclipse/escet/escet-website.git" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet-website.git</a></code>.</p> </li> 
         <li> <p>In the cloned repository, remove the folders corresponding to the milestone and release candidate versions.</p> </li> 
         <li> <p>Add all changes to be committed, e.g. by using <code>git add -A</code>.</p> </li> 
         <li> <p>Commit the changes.</p> 
          <div class="ulist"> 
           <ul> 
            <li> <p>Use as commit message <code>Removed milestone and RC websites of release vN.N.</code>, replacing <code>vN.N</code> by the release version, e.g., <code>v1.0</code> when removing versions <code>v1.0-M1</code> and <code>v1.0-RC1</code>.</p> </li> 
            <li> <p>Use the <code>--author</code> option to specify your full name (first name and last name) and email address as registered in your Eclipse Foundation account. Make sure to use double quotes around the entire argument, and <code>&lt;</code> and <code>&gt;</code> around the email address.</p> </li> 
            <li> <p>E.g. use the following to commit the changes: <code>git commit --author "Full Name &lt;some@example.org&gt;" -m "Removed milestone and RC websites of release v1.0."</code>.</p> </li> 
           </ul> 
          </div> </li> 
         <li> <p>Push the changes to the Git server. E.g. use <code>git push</code>.</p> </li> 
         <li> <p>If successful you should see the changes on GitLab, at <a href="https://gitlab.eclipse.org/eclipse/escet/escet-website/-/commits/master" class="bare">https://gitlab.eclipse.org/eclipse/escet/escet-website/-/commits/master</a>.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Remove the downloads of the identified milestone and release candidate versions:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Go to <a href="https://download.eclipse.org/escet/" class="bare">https://download.eclipse.org/escet/</a>.</p> </li> 
         <li> <p>Make sure you are logged in. This should make check-boxes appear.</p> </li> 
         <li> <p>Select the folders to archive (before subsequent removal) and click the <em>Move selected to archive.eclipse.org</em> button. It may take a few minutes for archiving to complete.</p> </li> 
         <li> <p>Go to <a href="https://archive.eclipse.org/escet/" class="bare">https://archive.eclipse.org/escet/</a>.</p> </li> 
         <li> <p>Make sure you are (still) logged in. This should make check-boxes appear.</p> </li> 
         <li> <p>Select the folders to delete and click the <em>Delete selected permanently</em> button. It may take a few minutes for deleting to complete.</p> </li> 
        </ul> 
       </div> </li> 
      <li> <p>Archive the downloads of the identified final versions:</p> 
       <div class="ulist"> 
        <ul> 
         <li> <p>Note that links to <code>download.eclipse.org</code> <a href="https://wiki.eclipse.org/index.php?title=Equinox/p2/p2.mirrorsURL&amp;diff=444984&amp;oldid=370895">transparently redirect</a> to <code>archive.eclipse.org</code> for archived files. We can therefore safely archive final versions, without breaking links to update sites that use <code>download.eclipse.org</code>.</p> </li> 
         <li> <p>Go to <a href="https://download.eclipse.org/escet/" class="bare">https://download.eclipse.org/escet/</a>.</p> </li> 
         <li> <p>Make sure you are logged in. This should make check-boxes appear.</p> </li> 
         <li> <p>Select the folders to archive and click the <em>Move selected to archive.eclipse.org</em> button. It may take a few minutes for archiving to complete.</p> </li> 
         <li> <p>Do not remove final versions. They should be kept forever.</p> </li> 
        </ul> 
       </div> </li> 
     </ul> 
    </div> 
   </div> 
  </div> 
  <script type="text/x-mathjax-config">
MathJax.Hub.Config({
  messageStyle: "none",
  tex2jax: {
    inlineMath: [["\\(", "\\)"]],
    displayMath: [["\\[", "\\]"]],
    ignoreClass: "nostem|nolatexmath"
  },
  asciimath2jax: {
    delimiters: [["\\$", "\\$"]],
    ignoreClass: "nostem|noasciimath"
  },
  TeX: { equationNumbers: { autoNumber: "none" } }
})
MathJax.Hub.Register.StartupHook("AsciiMath Jax Ready", function () {
  MathJax.InputJax.AsciiMath.postfilterHooks.Add(function (data, node) {
    if ((node = data.script.parentNode) && (node = node.parentNode) && node.classList.contains("stemblock")) {
      data.math.root.display = "block"
    }
    return data
  })
})
</script> 
  <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.9/MathJax.js?config=TeX-MML-AM_HTMLorMML"></script> 
  <!--
  Copyright (c) 2010, 2023 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
--> 
  <div id="footer"> 
   <div id="footer-text">
    <span>Eclipse ESCET™ development documentation (Incubation)</span> | 
    <span>Copyright (c) 2010, 2023 Contributors to the Eclipse Foundation</span> | 
    <span>version v0.9</span>
    <br> 
    <a href="https://www.eclipse.org">Eclipse Home</a> | 
    <a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a> | 
    <a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a> | 
    <a href="https://www.eclipse.org/legal/copyright.php">Copyright Agent</a> | 
    <a href="https://www.eclipse.org/legal">Eclipse Legal</a> 
   </div> 
  </div>  
 </body>
</html>